Page MenuHomePhabricator

LLVM Test suite Python 2/3 compatibility
ClosedPublic

Authored by serge-sans-paille on Dec 18 2018, 8:52 AM.

Diff Detail

Repository
rT test-suite

Event Timeline

michaelplatings requested changes to this revision.Dec 18 2018, 9:31 AM

From looking briefly it seems that these are sensible changes, but many of them aren't necessary for Python 3 compatility. I suggest separating the Python 3 compatibility changes and other cleanups into different patches.

This revision now requires changes to proceed.Dec 18 2018, 9:31 AM

@michaelplatings : some of the non trivial changes are just here to make it easier to write the compatible code. e.g.

for f in range(len(dbg_line_items)):
    fname = dbg_line_items[f][0]
    fset = dbg_line_items[f][1]

forces dbg_line_items to be a list, while

for fname, fset in dbg_line_items:

is compatible with both list and generators

@michaelplatings I've split this patch in two so that it's easier to review, see https://reviews.llvm.org/D55989 for the companion patch.

This revision is now accepted and ready to land.Jan 2 2019, 9:26 AM
Closed by commit rL350382: Make Python scripts portable across Python 2/3 (authored by serge_sans_paille, committed by ). · Explain WhyJan 4 2019, 12:18 AM
This revision was automatically updated to reflect the committed changes.